//
// Thanks to Nordic Semiconductor and bjorn-spockeli for important bits and pieces from
// around 2009, (Nordic Case ID 111509).
//

#include <stdint.h>
#include "nrf_drv_spi.h"

// SPI Master Instance
void ADXL372_SPI_init(const nrf_drv_spi_t *m_spi_master);


/**@brief Function for reading to the ADXL372 registers over SPI.
 *
 * @param[in] address   ADXL372 Register adress    
 * @param[in] p_data    Pointer to rx buffer 
 * @param[in] bytes     Number of bytes to be read 
 *
 */
void ADXL372_SPI_readRegister(uint8_t address, uint8_t *p_data, uint8_t bytes);


/**@brief Function for writing to the ADXL372 registers over SPI.
 *
 * @param[in] address   ADXL372 Register adress    
 * @param[in] p_data    Pointer to tx buffer 
 * @param[in] bytes     Number of bytes to be written
 *
 */
void ADXL372_SPI_writeRegister(uint8_t reg_addr, uint8_t *p_data, uint8_t bytes);

